### A free/open-source library for quantitative finance

ql/experimental/finitedifferences/fdklugeextouspreadengine.hpp File Reference

FD Kluge/extended Ornstein-Uhlenbeck engine for a simple power-gas spread option. More...

`#include <ql/pricingengine.hpp>`
`#include <ql/instruments/vanillaoption.hpp>`
`#include <ql/methods/finitedifferences/solvers/fdmbackwardsolver.hpp>`
`#include <ql/experimental/finitedifferences/fdmextoujumpmodelinnervalue.hpp>`
`#include <ql/experimental/finitedifferences/fdmexpextouinnervaluecalculator.hpp>`
`#include <ql/experimental/processes/klugeextouprocess.hpp>`
Include dependency graph for fdklugeextouspreadengine.hpp:

## Detailed Description

FD Kluge/extended Ornstein-Uhlenbeck engine for a simple power-gas spread option.